> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roe-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Agent

> Retrieve details of a specific base agent.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/" \
    --header "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/agents/{agent_id}/
openapi: 3.1.0
info:
  title: Roe AI API
  version: 1.0.0
  description: Complete API documentation for Roe AI platform
servers:
  - url: https://api.roe-ai.com
    description: Production API
security: []
paths:
  /v1/agents/{agent_id}/:
    get:
      tags:
        - v1
      summary: Retrieve an agent.
      description: Retrieve details of a specific base agent.
      operationId: v1_agents_retrieve
      parameters:
        - in: path
          name: agent_id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this agent.
          required: true
        - name: organization_id
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: >-
            Organization ID. This is required for access control. It can be
            provided via query or request body depending on the endpoint.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseAgent'
              examples:
                Example:
                  value:
                    id: 123e4567-e89b-12d3-a456-426614174000
                    name: My Agent
                    creator:
                      id: 2
                      email: user@example.com
                      first_name: John
                      last_name: Doe
                    created_at: '2024-01-15T10:30:00Z'
                    engine_class_id: openai_chat
                    engine_name: OpenAI Chat
                    current_version_id: 456e7890-e89b-12d3-a456-426614174001
                    organization: org-123e4567-e89b-12d3-a456-426614174000
                    disable_cache: false
                    cache_failed_jobs: false
                    job_count: 42
                    most_recent_job: '2024-01-20T15:45:00Z'
          description: Successfully retrieved base agent details.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: >-
            Access to the Agents feature is forbidden or permission to access
            this agent denied.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Agent not found.
components:
  schemas:
    BaseAgent:
      type: object
      description: Serializer for BaseAgent (agent config)
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        creator:
          oneOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        created_at:
          type: string
          format: date-time
          readOnly: true
        name:
          type: string
          maxLength: 200
          minLength: 1
        disable_cache:
          type: boolean
          description: Whether to disable job cache fetching for this agent.
        cache_failed_jobs:
          type: boolean
          description: Whether to cache failed jobs for this agent.
        organization_id:
          type: string
          format: uuid
          description: Organization ID that owns this agent.
        engine_class_id:
          type: string
          maxLength: 200
        current_version_id:
          type: string
          format: uuid
          readOnly: true
          description: UUID of the current agent version.
        job_count:
          type:
            - integer
            - 'null'
          description: >-
            Job count from annotation, or None when not fetched (use
            /agents/job-stats/).
          readOnly: true
        most_recent_job:
          type: string
          readOnly: true
        engine_name:
          type: string
          description: Engine Display Name
          readOnly: true
        tags:
          type: string
          readOnly: true
      required:
        - cache_failed_jobs
        - created_at
        - current_version_id
        - disable_cache
        - engine_class_id
        - engine_name
        - id
        - job_count
        - most_recent_job
        - name
        - organization_id
        - tags
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
      required:
        - message
    UserInfo:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
        first_name:
          type: string
          maxLength: 150
        last_name:
          type: string
          maxLength: 150
        display_name:
          type: string
          readOnly: true
      required:
        - display_name
        - email
        - id

````